module.exports = {
  create: {
    requestBody: ["basic", "brief", "research", "datalist", "user_id", "status"],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "basic",
      "brief",
      "research",
      "datalist",
      "experts",
      "file",
      "status",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        user_id: "user_id",
        status: "status",
        "basic.achieve_num": "basic.achieve_num",
        "create_time@start": "create_time@start",
        "create_time@end": "create_time@end",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
  getOne: {
    parameters: {
      query: {
        basic_id: "basic._id",
        brief_id: "brief._id",
        research_id: "research._id",
        datalist_id: "datalist._id",
      },
    },
    service: "getOne",
  },

  researchCreate: {
    params: ["!id"],
    requestBody: [
      "research_name",
      "card",
      "gender",
      "position",
      "education",
      "degree",
      "abroad",
      "research_company",
      "devote",
    ],
    service: "researchCreate",
  },
  researchUpdate: {
    params: ["!id", "!research_id"],
    requestBody: [
      "research_name",
      "card",
      "gender",
      "position",
      "education",
      "degree",
      "abroad",
      "research_company",
      "devote",
    ],
    service: "researchUpdate",
  },
  researchDelete: {
    params: ["!id", "!research_id"],
    service: "researchDelete",
  },
  menuRemind:{
    params: ["!user_id"],
    service: "menuRemind",
  }
};
