module.exports = {
  create: {
    requestBody: ["!expert_id", "!apply_id", "verify", "type"],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: ["expert_id", "apply_id", "verify", "type"],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        expert_id: "expert_id",
        apply_id: "apply_id",
        type: "type",
        expert: "expert",
        apply: "apply",
        "create_time@start": "create_time@start",
        "create_time@end": "create_time@end",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
  getWork: {
    params: ["!expert_id"],
    service: "getWork",
  },
};
