module.exports = {
  create: {
    requestBody: [
      "apply_id",
      "apply_name",
      "user_id",
      "user_name",
      "file",
      "remark",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "apply_id",
      "apply_name",
      "user_id",
      "user_name",
      "file",
      "remark",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        apply_id: "apply_id",
        apply_name: "apply_name",
        user_id: "user_id",
        user_name: "user_name",
        "create_time@start": "create_time@start",
        "create_time@end": "create_time@end",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
  login: {
    requestBody: ["!phone", "!password"],
    service: "login",
  },
  restore: {
    params: ["!id"],
    service: "restore",
  },

  getExpertList: {
    service: "getExpertList",
  },
};
