module.exports = {
  create: {
    requestBody: [
      "!expert_user_id",
      "expert_name",
      "phone",
      "password",
      "company",
      "group_zw",
      "major",
      "now_major",
      "zw",
      "zc",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "expert_user_id",
      "expert_name",
      "phone",
      "password",
      "company",
      "group_zw",
      "major",
      "now_major",
      "zw",
      "zc",
      "status",
      "verify",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        phone: "phone",
        expert_name: "expert_name",
        expert_user_id: "expert_user_id",
        status: "status",
        "create_time@start": "create_time@start",
        "create_time@end": "create_time@end",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
  login: {
    requestBody: ["!phone", "!password"],
    service: "login",
  },
  restore: {
    params: ["!id"],
    service: "restore",
  },

  getExpertList: {
    service: "getExpertList",
  },
};
