/* eslint valid-jsdoc: "off" */

'use strict';

/**
 * @param {Egg.EggAppInfo} appInfo app info
 */
const { jwt } = require('./config.secret');
module.exports = appInfo => {
  /**
   * built-in config
   * @type {Egg.EggAppConfig}
   **/
  const config = exports = {};

  // use for cookie sign key, should change to your own and keep security
  config.keys = appInfo.name + '_1615359726812_6846';

  // add your middleware config here
  config.middleware = [];

  // add your user config here
  const userConfig = {
    // myAppName: 'egg',
  };
  config.cluster = {
    listen: {
      port: 9103,
    },
  };

  config.dbName = 'new-platform';
  config.mongoose = {
    url: `mongodb://localhost:27017/${config.dbName}`,
    options: {
      // user: 'admin',
      // pass: '111111',
      // authSource: 'admin',
      // useNewUrlParser: true,
      // useCreateIndex: true,
    },
  };

  config.amqp = {
    client: {
      hostname: '127.0.0.1',
      username: 'visit',
      password: 'visit',
      vhost: 'platform',
    },
    app: true,
    agent: true,
  };

  config.redis = {
    client: {
      port: 6379, // Redis port
      host: '127.0.0.1', // Redis host
      password: 123456,
      db: 1,
    },
  };

  config.project = {
    mission: 'http://127.0.0.1:4001',
    live: 'http://127.0.0.1:9101/api/live/v0',
    site: 'http://127.0.0.1:9102',
  };

  config.jwt = {
    ...jwt,
    expiresIn: '1d',
    issuer: 'test',
  };

  return {
    ...config,
    ...userConfig,
  };
};
